Package org.kapott.hbci.GV_Result

## Class GVRWPDepotList.Entry.Gattung

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotList.Entry.Gattung

Enclosing class:
  GVRWPDepotList.Entry

    public static final class GVRWPDepotList.Entry.Gattung
    extends java.lang.Object

Enhält Informationen zu einer Wertpapiergattung

### Nested Class Summary

Nested Classes
`static class` `GVRWPDepotList.Entry.Gattung.SubSaldo` Untersaldoinformationen, das heißt Informationen über die Zusammensetzung des Saldos einer Wertpapiergattung.

### Field Summary

Fields
`java.lang.String` `branche` Branchenschlüssel gemäß WM GD 200 (optional)
`java.lang.String` `countryEmittent` Land des Emittenten (Country-Code wie in Kontodaten) (optional)
`java.lang.String` `curr` Depotwährung (optional)
`int` `days` Anzahl der aufgelaufenen Tage (optional)
`BigDecimalValue` `depotwert` Kurswert zum Gesamtsaldo `saldo` (optional)
`BigDecimalValue` `einstandspreis` Einstandspreis/-kurs (optional).
`java.util.Date` `faellig` Fälligkeitsdatum (optional)
`java.lang.String` `isin` ISIN des Wertpapiers (optional)
`java.util.Date` `kauf` Kaufdatum (optional)
`BigDecimalValue` `kontraktbasispreis`
`int` `kontraktsize`
`int` `kontrakttype`
`java.util.Date` `kontraktverfall`
`int` `kontraktversion`
`java.lang.String` `name` Wertpapierbezeichnung
`BigDecimalValue` `price` Preis pro Einheit (optional).
`static int` `PRICE_QUALIF_HINT`
`static int` `PRICE_QUALIF_MRKT`
`static int` `PRICE_TYPE_PRCT`
`static int` `PRICE_TYPE_VALUE`
`int` `pricequalifier` Hinweise zum Preis `price` (optional).
`int` `pricetype` Gibt den Typ des Preises `price` an (optional).
`BigDecimalValue` `saldo` Gesamtsaldo dieser Gattung.
`int` `saldo_type` Typ des Gesamtsaldos.
`int` `source` Herkunft von Preis/Kurs (optional).
`java.lang.String` `source_comment` Bemerkungen zur Herkunft von Preis/Kurs `source` (optional).
`static int` `SOURCE_LOC`
`static int` `SOURCE_SELLER`
`static int` `SOURCE_THEOR`
`BigDecimalValue` `stueckzinsbetrag` Betrag der Stückzinsen (optional)
`java.lang.String` `symbol`
`java.util.Date` `timestamp_price` Zeitpunkt, wann `price` notiert wurde (optional).
`java.lang.String` `underlyingisin`
`java.lang.String` `underlyingwkn`
`java.lang.String` `wkn` WKN des Wertpapiers (optional)
`java.lang.String` `wptype` Wertpapierart gemäß WM GD 195 (optional)
`java.lang.String` `xchg_cur1`
`java.lang.String` `xchg_cur2`
`double` `xchg_kurs`
`long` `zinssatz` Zinssatz als Prozentangabe bei verzinslichen Papieren (optional)

### Constructor Summary

Constructors
`Gattung()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSubSaldo​(GVRWPDepotList.Entry.Gattung.SubSaldo subsaldo)`
`GVRWPDepotList.Entry.Gattung.SubSaldo[]` `getEntries()` Gibt alle Unter-Saldoinformationen in einem Array zurück.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PRICE_TYPE_PRCT

    public static final int PRICE_TYPE_PRCT

See Also:
  Constant Field Values

#### PRICE_TYPE_VALUE

    public static final int PRICE_TYPE_VALUE

See Also:
  Constant Field Values

#### PRICE_QUALIF_MRKT

    public static final int PRICE_QUALIF_MRKT

See Also:
  Constant Field Values

#### PRICE_QUALIF_HINT

    public static final int PRICE_QUALIF_HINT

See Also:
  Constant Field Values

#### SOURCE_LOC

    public static final int SOURCE_LOC

See Also:
  Constant Field Values

#### SOURCE_THEOR

    public static final int SOURCE_THEOR

See Also:
  Constant Field Values

#### SOURCE_SELLER

    public static final int SOURCE_SELLER

See Also:
  Constant Field Values

#### isin

    public java.lang.String isin

ISIN des Wertpapiers (optional)

#### wkn

    public java.lang.String wkn

WKN des Wertpapiers (optional)

#### name

    public java.lang.String name

Wertpapierbezeichnung

#### pricetype

    public int pricetype

Gibt den Typ des Preises `price` an (optional).

- `PRICE_TYPE_PRCT` - Preis ist ein Prozentsatz
- `PRICE_TYPE_VALUE` - Preis ist ein Geldbetrag

#### pricequalifier

    public int pricequalifier

Hinweise zum Preis `price` (optional).

- `PRICE_QUALIF_MRKT` - Marktpreis (z.B. aktueller Börsenkurs)
- `PRICE_QUALIF_HINT` - Hinweispreis (rechnerischer bzw. ermittelter Preis)

#### price

    public BigDecimalValue price

Preis pro Einheit (optional). Die Währung ist bei `pricetype`=`PRICE_TYPE_PRCT` auf "%" gesetzt.

#### source

    public int source

Herkunft von Preis/Kurs (optional).

- `SOURCE_LOC` - lokale Börse
- `SOURCE_THEOR` - theoretischer Wert
- `SOURCE_SELLER` - Verkäufer als Quelle

#### source_comment

    public java.lang.String source_comment

Bemerkungen zur Herkunft von Preis/Kurs `source` (optional). Bei `source`=`SOURCE_LOC` kann der Name der Börse als MIC angegeben werden

#### timestamp_price

    public java.util.Date timestamp_price

Zeitpunkt, wann `price` notiert wurde (optional).

#### saldo_type

    public int saldo_type

Typ des Gesamtsaldos.

- `GVRWPDepotList.Entry.SALDO_TYPE_STCK` - Saldo ist eine Stückzahl
- `GVRWPDepotList.Entry.SALDO_TYPE_WERT` - Saldo ist ein Betrag

#### saldo

    public BigDecimalValue saldo

Gesamtsaldo dieser Gattung. Das Währungsfeld ist in jedem Fall ein leerer String! (TODO).

#### days

    public int days

Anzahl der aufgelaufenen Tage (optional)

#### depotwert

    public BigDecimalValue depotwert

Kurswert zum Gesamtsaldo `saldo` (optional)

#### stueckzinsbetrag

    public BigDecimalValue stueckzinsbetrag

Betrag der Stückzinsen (optional)

#### xchg_cur1

    public java.lang.String xchg_cur1

#### xchg_cur2

    public java.lang.String xchg_cur2

#### xchg_kurs

    public double xchg_kurs

#### curr

    public java.lang.String curr

Depotwährung (optional)

#### wptype

    public java.lang.String wptype

Wertpapierart gemäß WM GD 195 (optional)

#### branche

    public java.lang.String branche

Branchenschlüssel gemäß WM GD 200 (optional)

#### countryEmittent

    public java.lang.String countryEmittent

Land des Emittenten (Country-Code wie in Kontodaten) (optional)

#### kauf

    public java.util.Date kauf

Kaufdatum (optional)

#### faellig

    public java.util.Date faellig

Fälligkeitsdatum (optional)

#### einstandspreis

    public BigDecimalValue einstandspreis

Einstandspreis/-kurs (optional). Die Währung ist "%", wenn es sich um eine Prozentabgabe handelt

#### zinssatz

    public long zinssatz

Zinssatz als Prozentangabe bei verzinslichen Papieren (optional)

#### kontrakttype

    public int kontrakttype

#### kontraktverfall

    public java.util.Date kontraktverfall

#### kontraktversion

    public int kontraktversion

#### kontraktsize

    public int kontraktsize

#### symbol

    public java.lang.String symbol

#### underlyingwkn

    public java.lang.String underlyingwkn

#### underlyingisin

    public java.lang.String underlyingisin

#### kontraktbasispreis

    public BigDecimalValue kontraktbasispreis

### Constructor Detail

#### Gattung

    public Gattung()

### Method Detail

#### addSubSaldo

    public void addSubSaldo​(GVRWPDepotList.Entry.Gattung.SubSaldo subsaldo)

#### getEntries

    public GVRWPDepotList.Entry.Gattung.SubSaldo[] getEntries()

Gibt alle Unter-Saldoinformationen in einem Array zurück. Der Rückgabewert ist niemals `null`, das Array kann aber die Länge `0` haben.

Returns:
  Array mit Untersaldoinformationen

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`